Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
A cooperative threads library for OCaml.
OCaml C Other

This branch is 236 commits behind ocsigen:master

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
examples
manual
src
syntax
tests
utils
.gitignore
CHANGES
COPYING
LICENSE
Makefile
README
_oasis
_tags
apiref-intro
configure
discover.ml
dist.sh
myocamlbuild.ml
predist
setup.ml

README

Lwt: lightweight thread library for Objective Caml

--------------------------------------------------------------------------

This library is part of the Ocsigen project. See:

  http://ocsigen.org/lwt

--------------------------------------------------------------------------

Requirements:

 * ocaml with ocamlbuild (>= 3.11.0)
 * findlib
 * react (from http://erratique.ch/software/react)
 * [optionnal] libev (from http://software.schmorp.de/pkg/libev.html)
 * [optionnal] ocaml-text (needed for the enhanced toplevel)
 * [optionnal] ocamlssl (>= 0.4.0) (ocamlssl needs openssl) (>= 0.4.1 for MacOS)
 * [optionnal] glib-2.0 developpement files and pkg-config

If ocaml/findlib/ocamlssl... are not installed on your computer, you
can use GODI to install them automatically. See:

  http://godi.camlcity.org/godi/index.html

They might also be available through your distribution.

--------------------------------------------------------------------------

Instructions:

 * run "ocaml setup.ml -configure" to configure sources
     You can add '--enable-<lib>' to enable compilation of
     the sub-library <lib>. The flag '--enable-all' will
     enable everything.
     In order to compile without libev support you must add
     '--disable-libev'.
 * run "ocaml setup.ml -build" to compile
 * run "ocaml setup.ml -install" as root to install compiled libraries
 * run "ocaml setup.ml -uninstall" as root to uninstall them

HTML documentation is generated in _build/lwt.docdir/, but is not
installed by default.

If you get the development version you need to obtain oasis
(http://oasis.forge.ocamlcore.org/).

If you want to build the toplevel you have to install compiler
libraries, under debian it is the package
ocaml-compiler-libs. Otherwise you can add a symlink like that:

  $ ln -s <ocaml sources> $(ocamlc -where)/compiler-libs

Note that the utop project replaces the Lwt toplevel:

  https://forge.ocamlcore.org/projects/utop/

--------------------------------------------------------------------------

Authors:

 * Jérôme Vouillon
 * Vincent Balat
 * Nataliya Guts
 * Pierre Clairambault
 * Stéphane Glondu
 * Jérémie Dimino
 * Warren Harris (Metaweb Technologies, Inc.)
 * Pierre Chambart
 * Mauricio Fernandez

See each source file for copyright information, and COPYING for license.

--------------------------------------------------------------------------
Something went wrong with that request. Please try again.